Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class BERSetParser

    java.lang.Object
      org.bouncycastle.asn1.BERSetParser

All Implemented Interfaces:
  ASN1Encodable, ASN1SetParser, InMemoryRepresentable

public class BERSetParser
extends java.lang.Object
implements ASN1SetParser

Parser for indefinite-length SETs.

Method Summary
`ASN1Primitive` | `getLoadedObject()` Return an in-memory, encodable, representation of the SET.
`ASN1Encodable` | `readObject()` Read the next object in the SET.
`ASN1Primitive` | `toASN1Primitive()` Return an BERSet representing this parser and its contents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### readObject

    public ASN1Encodable readObject()
                             throws java.io.IOException

  Read the next object in the SET.

  Specified by:
    `readObject` in interface `ASN1SetParser`
  Returns:
    the next object in the SET, null if there are no more.
  Throws:
    `java.io.IOException` - if there is an issue reading the underlying stream.

### getLoadedObject

    public ASN1Primitive getLoadedObject()
                                  throws java.io.IOException

  Return an in-memory, encodable, representation of the SET.

  Specified by:
    `getLoadedObject` in interface `InMemoryRepresentable`
  Returns:
    a BERSet.
  Throws:
    `java.io.IOException` - if there is an issue loading the data.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Return an BERSet representing this parser and its contents.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Returns:
    an BERSet

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD